﻿//
//a7330D_MSR_CS
//SJJ Embedded Micro Solutions
//Copyright (c) 2004 - 2010 SJJ Micro Solutions, LLC. All Rights Reserved

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.PointOfService;
using System.Threading;

namespace a7330D_MSR_CS
{
    public partial class Form1 : Form
    {

        private PosExplorer myExplorer;
        private Msr myMSR;
        
        
        public Form1()
        {
            InitializeComponent();
            myExplorer = new PosExplorer(this);

            DeviceInfo device = myExplorer.GetDevice("Msr", "MGTK_MSR");

            try
            {
                myMSR = (Msr)myExplorer.CreateInstance(device);
                myMSR.Open();
                myMSR.Claim(1000);
                myMSR.DeviceEnabled = true;
                myMSR.DataEventEnabled = true;
                myMSR.DecodeData = true;
                lblStatus.Text = "MSR Ready";
            }
            catch
            {
                lblStatus.Text = "MSR Not Found!";
            }
            Update();
            myMSR.DataEvent += new DataEventHandler(myMSR_DataEvent);


        }

        void myMSR_DataEvent(object sender, DataEventArgs e)
        {
            ASCIIEncoding myEncoding = new ASCIIEncoding();

            try
            {
                txtMSRTrack1.Text = myEncoding.GetString(myMSR.Track1Data);
                txtMSRTrack2.Text = myEncoding.GetString(myMSR.Track2Data);
                txtMSRTrack3.Text = myEncoding.GetString(myMSR.Track3Data);
                lblStatus.Text = "Data Event";
            }
            catch
            {
                lblStatus.Text = "Data Event Failed";
            }
                        
            Update();
            myMSR.DataEventEnabled = true;
            Thread.Sleep(100);
            lblStatus.Text = "Ready";
            Update();

        }


    }
}
